View a markdown version of this page

ProcessPayment - Amazon Bedrock AgentCore Data Plane

ProcessPayment

Processes a payment using a payment instrument within a payment session.

Request Syntax

POST /payments/processPayment HTTP/1.1 X-Amzn-Bedrock-AgentCore-Payments-User-Id: userId X-Amzn-Bedrock-AgentCore-Payments-Agent-Name: agentName Content-type: application/json { "clientToken": "string", "paymentInput": { ... }, "paymentInstrumentId": "string", "paymentManagerArn": "string", "paymentSessionId": "string", "paymentType": "string" }

URI Request Parameters

The request uses the following URI parameters.

agentName

The agent name associated with this request, used for observability.

Length Constraints: Minimum length of 0. Maximum length of 256.

userId

The user ID associated with this payment.

Length Constraints: Minimum length of 0. Maximum length of 120.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

paymentInput

The payment input details specific to the payment type.

Type: PaymentInput object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

paymentInstrumentId

The ID of the payment instrument to use.

Type: String

Length Constraints: Fixed length of 34.

Pattern: payment-instrument-[0-9a-zA-Z-]{15}

Required: Yes

paymentManagerArn

The ARN of the payment manager.

Type: String

Length Constraints: Minimum length of 66. Maximum length of 2048.

Pattern: arn:(aws|aws-[a-z0-9-]+):bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/[a-z0-9]([a-z0-9-]{0,47}[a-z0-9])?-[a-z0-9]{10}

Required: Yes

paymentSessionId

The ID of the payment session.

Type: String

Length Constraints: Fixed length of 31.

Pattern: payment-session-[0-9a-zA-Z-]{15}

Required: Yes

paymentType

The type of payment to process.

Type: String

Valid Values: CRYPTO_X402

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": "string", "paymentInstrumentId": "string", "paymentManagerArn": "string", "paymentOutput": { ... }, "paymentSessionId": "string", "paymentType": "string", "processPaymentId": "string", "status": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The timestamp when the payment was created.

Type: Timestamp

paymentInstrumentId

The ID of the payment instrument used.

Type: String

Length Constraints: Fixed length of 34.

Pattern: payment-instrument-[0-9a-zA-Z-]{15}

paymentManagerArn

The ARN of the payment manager.

Type: String

Length Constraints: Minimum length of 66. Maximum length of 2048.

Pattern: arn:(aws|aws-[a-z0-9-]+):bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/[a-z0-9]([a-z0-9-]{0,47}[a-z0-9])?-[a-z0-9]{10}

paymentOutput

The payment output details specific to the payment type.

Type: PaymentOutput object

Note: This object is a Union. Only one member of this object can be specified or returned.

paymentSessionId

The ID of the payment session used.

Type: String

Length Constraints: Fixed length of 31.

Pattern: payment-session-[0-9a-zA-Z-]{15}

paymentType

The type of payment processed.

Type: String

Valid Values: CRYPTO_X402

processPaymentId

The unique identifier of the processed payment.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}

status

The status of the payment.

Type: String

Valid Values: PROOF_GENERATED

updatedAt

The timestamp when the payment was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.

HTTP Status Code: 403

ConflictException

The exception that occurs when the request conflicts with the current state of the resource. This can happen when trying to modify a resource that is currently being modified by another request, or when trying to create a resource that already exists.

HTTP Status Code: 409

InternalServerException

The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.

HTTP Status Code: 500

ServiceQuotaExceededException

The exception that occurs when the request would cause a service quota to be exceeded. Review your service quotas and either reduce your request rate or request a quota increase.

HTTP Status Code: 402

ThrottlingException

The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.

HTTP Status Code: 429

ValidationException

The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: